// this sets the background color of the master UIView (when there are no windows/tab groups on it)
Titanium.UI.setBackgroundColor('#000');

// create tab group
var tabGroup = Titanium.UI.createTabGroup();


//
// create base UI tab and root window
//
var win1 = Titanium.UI.createWindow({  
    title:'Tab 1',
    backgroundColor:'#fff',
    layout:'vertical',
});
var tab1 = Titanium.UI.createTab({  
    icon:'KS_nav_views.png',
    title:'Tab 1',
    window:win1
});

var label1 = Titanium.UI.createLabel({
	color:'#999',
	text:'I am Window 1',
	font:{fontSize:20,fontFamily:'Helvetica Neue'},
	textAlign:'center',
	width:'auto'
});

win1.add(label1);

//
// create controls tab and root window
//
var win2 = Titanium.UI.createWindow({  
    title:'Tab 2',
    backgroundColor:'#fff'
});
var tab2 = Titanium.UI.createTab({  
    icon:'KS_nav_ui.png',
    title:'Tab 2',
    window:win2
});

var label2 = Titanium.UI.createLabel({
	color:'#999',
	text:'I am Window 2',
	font:{fontSize:20,fontFamily:'Helvetica Neue'},
	textAlign:'center',
	width:'auto'
});

win2.add(label2);



//
//  add tabs
//
tabGroup.addTab(tab1);  
tabGroup.addTab(tab2);  


// open tab group
tabGroup.open();

var aTableView1 = Ti.UI.createTableView ({
	height: Ti.UI.SIZE,
	width: Ti.UI.FILL,
	minRowHeight: 10,
	backgroundColor:'red',
});

var aTableView2 = Ti.UI.createTableView ({
	height: Ti.UI.SIZE,
	width: Ti.UI.FILL,
	backgroundColor:'yellow',
});

Ti.include('helpers.js');
win1.add(Ti.UI.createLabel({text:'This tableView has a minRowHeight set to 10, the Rows have no height or width property and is composed of label with height=Ti.UI.SIZE'}));
win1.add(aTableView1);
addDataRow('row1 minRowHeight',aTableView1);
addDataRow('row2 minRowHeight',aTableView1);

win1.add(Ti.UI.createLabel({text:'This tableView has no minRowHeight, the Rows have no height or width property and is composed of label with height=Ti.UI.SIZE'}));
win1.add(aTableView2);
addDataRow('row1',aTableView2);
addDataRow('row2',aTableView2);


var aTableView11 = Ti.UI.createTableView ({
	height: Ti.UI.SIZE,
	width: Ti.UI.FILL,
	minRowHeight: 10,
	backgroundColor:'red',
});

var aTableView21 = Ti.UI.createTableView ({
	height: Ti.UI.SIZE,
	width: Ti.UI.FILL,
	backgroundColor:'blue',
});

Ti.include('helpers.js');
win1.add(Ti.UI.createLabel({text:'This tableView has a minRowHeight set to 10, the Rows have height:Ti.UI.SIZE, width:Ti.UI.FILL and is composed of label with height=Ti.UI.SIZE'}));
win1.add(aTableView11);
addDataRowBad('row1 minRowHeight',aTableView11);
addDataRowBad('row2 minRowHeight',aTableView11);

win1.add(Ti.UI.createLabel({text:'This tableView has a no minRowHeight, the Rows have height:Ti.UI.SIZE, width:Ti.UI.FILL and is composed of label with height=Ti.UI.SIZE'}));
win1.add(aTableView21);
addDataRowBad('row1',aTableView21);
addDataRowBad('row2',aTableView21);